{ pkgs, lib, ... }:
{
  programs.vscode = {
    enable = true;
    enableUpdateCheck = true;
    enableExtensionUpdateCheck = true;
    extensions = with pkgs.vscode-extensions; [
      catppuccin.catppuccin-vsc
      catppuccin.catppuccin-vsc-icons
      golang.go
      vscodevim.vim
      ms-python.python
      ms-vscode-remote.remote-ssh
      bbenoist.nix
    ];
    userSettings = {
      "window.titleBarStyle" = "custom";
    };
  };
}
